Lock File Batch
Lock the files at the given paths. A locked file will be writable only by the lock holder. A successful response indicates that the file has been locked. Returns a list of the locked file paths and their metadata after this operation.
Required scope: files.content.write
Endpoint format: RPC
Authentication: User
This endpoint does not support apps with the app folder permission.
Authentication
OAuth 2.0 token issued to a specific user. Use Authorization: Bearer <token>.
Public clients should use the authorization code flow with PKCE (S256).
For background or offline access, send token_access_type=offline during authorization and use the returned refresh token to obtain new access tokens.
You can generate a short-lived access token from the App Console; see Testing with a generated token.
Headers
Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.
Scopes path-based operations to a namespace (root). The value is a JSON serialization of the common.PathRoot union: {".tag": "home"}, {".tag": "root", "root": "<namespace_id>"}, or {".tag": "namespace_id", "namespace_id": "<namespace_id>"}. On failure the request returns 422 with a common.PathRootError.
Request
Response headers
Response
Each Entry in the ‘entries’ will have ‘.tag’ with the operation status (e.g. success), the metadata for the file and the lock state after the operation.